> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# List all Inquiry Template Versions

GET https://api.withpersona.com/api/v1/inquiry-template-versions

Retrieves the published versions and current draft version of an Inquiry Template.

Use a production API key and provide the Inquiry Template ID in `filter[inquiry-template-id]`. For security reasons, Inquiry Template Versions are not available in Sandbox.

Reference: https://docs.withpersona.com/api-reference/inquiry-templates/list-all-inquiry-template-versions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `page` (InquiryTemplateVersionsGetParametersPage, optional)
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
- `filter` (InquiryTemplateVersionsGetParametersFilter, required)

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a collection of Inquiry Template Version objects.

- `data` (list of inquiry-template-version, required) — An array of Inquiry Template Versions
- `links` (InquiryTemplateVersionsGetResponsesContentApplicationJsonSchemaLinks, required)

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of InquiryTemplateVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of InquiryTemplateVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of InquiryTemplateVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of InquiryTemplateVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of InquiryTemplateVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### InquiryTemplateVersionsGetParametersPage

- `after` (string, optional) — Object ID for pagination cursor
- `before` (string, optional) — Object ID for pagination cursor
- `size` (double, optional) — Limit on the number of objects returned

### InquiryTemplateVersionsGetParametersFilter

- `inquiry-template-id` (string, required) — The Inquiry Template ID to list versions for.

### inquiry-template-version

An Inquiry Template Version object

- `id` (string, optional)
- `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionAttributes, optional)
- `relationships` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationships, optional)

### InquiryTemplateVersionsGetResponsesContentApplicationJsonSchemaLinks

- `prev` (string, required, nullable)
- `next` (string, required, nullable)

### InquiryTemplateVersionsGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionAttributes

- `name-display` (string, optional, nullable)
- `description` (string, optional, nullable) — A description of the changes in this version.
- `status` (string, optional) — Possible values: - published - draft Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update.
- `live` (boolean, optional) — Whether this is the Inquiry Template's current live published version.
- `last-updater` (string, optional, nullable) — The email address of the User who last updated this version.
- `enabled-locales` (list of string, optional)
- `created-at` (datetime, optional)
- `updated-at` (datetime, optional, nullable)
- `published-at` (datetime, optional, nullable)
- `theme` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionAttributesTheme, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationships

- `inquiry-template` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationshipsInquiryTemplate, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionAttributesTheme

- `border-radius` (string, optional, nullable)
- `border-radius-input` (string, optional, nullable)
- `border-radius-modal` (string, optional, nullable)
- `border-width` (string, optional, nullable)
- `border-width-input` (string, optional, nullable)
- `button-background-image` (string, optional, nullable)
- `button-font-weight` (string, optional, nullable)
- `button-position` (string, optional, nullable)
- `button-shadow-strength` (string, optional, nullable)
- `button-text-transform` (string, optional, nullable)
- `color-button-primary` (string, optional, nullable)
- `color-button-secondary` (string, optional, nullable)
- `color-button-secondary-fill` (string, optional, nullable)
- `color-button-primary-fill-disabled` (string, optional, nullable)
- `color-button-secondary-fill-disabled` (string, optional, nullable)
- `color-error` (string, optional, nullable)
- `color-font` (string, optional, nullable)
- `color-font-button-primary` (string, optional, nullable)
- `color-font-button-secondary` (string, optional, nullable)
- `color-font-small` (string, optional, nullable)
- `color-font-title` (string, optional, nullable)
- `color-icon-header` (string, optional, nullable)
- `color-input-background` (string, optional, nullable)
- `color-input-border` (string, optional, nullable)
- `color-link` (string, optional, nullable)
- `color-modal-background` (string, optional, nullable)
- `color-primary` (string, optional, nullable)
- `color-progress-bar` (string, optional, nullable)
- `color-success` (string, optional, nullable)
- `color-warning` (string, optional, nullable)
- `color-divider` (string, optional, nullable)
- `color-dropdown-background` (string, optional, nullable)
- `color-dropdown-option` (string, optional, nullable)
- `font-family` (string, optional, nullable)
- `font-family-title` (string, optional, nullable)
- `font-url` (string, optional, nullable)
- `font-size-body` (string, optional, nullable)
- `font-size-header` (string, optional, nullable)
- `font-size-small` (string, optional, nullable)
- `line-height-body` (string, optional, nullable)
- `line-height-header` (string, optional, nullable)
- `line-height-small` (string, optional, nullable)
- `header-font-weight` (string, optional, nullable)
- `header-margin-bottom` (string, optional, nullable)
- `icon-color-primary` (string, optional, nullable)
- `icon-color-highlight` (string, optional, nullable)
- `icon-color-stroke` (string, optional, nullable)
- `icon-color-background` (string, optional, nullable)
- `icon-color-government-id-type` (string, optional, nullable)
- `icon-style` (string, optional, nullable)
- `input-style` (string, optional, nullable)
- `page-transition` (string, optional, nullable)
- `text-align` (string, optional, nullable)
- `text-decoration-line-link` (string, optional, nullable)
- `us-state-input-method` (string, optional, nullable)
- `vertical-options-style` (string, optional, nullable)
- `government-id-pictograph-position` (string, optional, nullable)
- `id-back-pictograph-height` (string, optional, nullable)
- `id-back-pictograph-url` (string, optional, nullable)
- `id-front-pictograph-height` (string, optional, nullable)
- `id-front-pictograph-url` (string, optional, nullable)
- `passport-front-pictograph-height` (string, optional, nullable)
- `passport-front-pictograph-url` (string, optional, nullable)
- `passport-signature-pictograph-height` (string, optional, nullable)
- `passport-signature-pictograph-url` (string, optional, nullable)
- `government-id-select-pictograph-height` (string, optional, nullable)
- `government-id-select-pictograph-url` (string, optional, nullable)
- `device-handoff-terms-text-position` (string, optional, nullable)
- `selfie-pictograph-url` (string, optional, nullable)
- `selfie-pictograph-height` (string, optional, nullable)
- `selfie-center-pictograph-url` (string, optional, nullable)
- `selfie-center-pictograph-height` (string, optional, nullable)
- `selfie-left-pictograph-url` (string, optional, nullable)
- `selfie-left-pictograph-height` (string, optional, nullable)
- `selfie-right-pictograph-url` (string, optional, nullable)
- `selfie-right-pictograph-height` (string, optional, nullable)
- `document-pictograph-position` (string, optional, nullable)
- `document-pictograph-height` (string, optional, nullable)
- `document-pictograph-url` (string, optional, nullable)
- `camera-support-pictograph-height` (string, optional, nullable)
- `camera-support-pictograph-url` (string, optional, nullable)
- `loading-pictograph-height` (string, optional, nullable)
- `loading-pictograph-url` (string, optional, nullable)
- `navbar-logo-display` (string, optional, nullable)
- `logo-url` (string, optional, nullable)
- `logo` (string, optional, nullable)
- `logo-data` (string, optional, nullable)
- `logo-filename` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationshipsInquiryTemplate

- `data` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationshipsInquiryTemplateData, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationshipsInquiryTemplateData

- `type` ("inquiry-template", optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "itmplv_DRAFT123",
      "attributes": {
        "name-display": "Collect Government ID",
        "description": "Test reusable persona support",
        "status": "draft",
        "live": false,
        "last-updater": "taylor@example.com",
        "enabled-locales": [
          "en-US"
        ],
        "created-at": "2026-03-27T18:29:41.000Z",
        "updated-at": "2026-03-27T18:31:05.000Z",
        "published-at": null,
        "theme": {}
      },
      "relationships": {
        "inquiry-template": {
          "data": {
            "type": "inquiry-template",
            "id": "itmpl_ABC123"
          }
        }
      },
      "type": "inquiry-template-version"
    },
    {
      "id": "itmplv_LIVE123",
      "attributes": {
        "name-display": "Collect Government ID",
        "description": "Add reusable persona support",
        "status": "published",
        "live": true,
        "last-updater": "alex@example.com",
        "enabled-locales": [
          "en-US"
        ],
        "created-at": "2026-03-26T18:22:59.828Z",
        "updated-at": "2026-03-26T18:29:41.000Z",
        "published-at": "2026-03-26T18:29:41.000Z",
        "theme": {}
      },
      "relationships": {
        "inquiry-template": {
          "data": {
            "type": "inquiry-template",
            "id": "itmpl_ABC123"
          }
        }
      },
      "type": "inquiry-template-version"
    },
    {
      "id": "itmplv_PREVIOUS123",
      "attributes": {
        "name-display": "Collect Government ID",
        "description": "Initial production version",
        "status": "published",
        "live": false,
        "last-updater": null,
        "enabled-locales": [
          "en-US"
        ],
        "created-at": "2026-03-20T18:22:59.828Z",
        "updated-at": "2026-03-20T18:29:41.000Z",
        "published-at": "2026-03-20T18:29:41.000Z",
        "theme": {}
      },
      "relationships": {
        "inquiry-template": {
          "data": {
            "type": "inquiry-template",
            "id": "itmpl_ABC123"
          }
        }
      },
      "type": "inquiry-template-version"
    }
  ],
  "links": {
    "prev": null,
    "next": null
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/inquiry-template-versions"

querystring = {"filter":"{\"inquiry-template-id\":\"itmpl_ABC123\"}"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/inquiry-template-versions?filter=%7B%22inquiry-template-id%22%3A%22itmpl_ABC123%22%7D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/inquiry-template-versions?filter=%7B%22inquiry-template-id%22%3A%22itmpl_ABC123%22%7D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/inquiry-template-versions?filter=%7B%22inquiry-template-id%22%3A%22itmpl_ABC123%22%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/inquiry-template-versions?filter=%7B%22inquiry-template-id%22%3A%22itmpl_ABC123%22%7D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/inquiry-template-versions?filter=%7B%22inquiry-template-id%22%3A%22itmpl_ABC123%22%7D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/inquiry-template-versions?filter=%7B%22inquiry-template-id%22%3A%22itmpl_ABC123%22%7D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/inquiry-template-versions?filter=%7B%22inquiry-template-id%22%3A%22itmpl_ABC123%22%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```